Skip to main content

Type Alias: GatewayInferenceCreateChatCompletionRequest

type GatewayInferenceCreateChatCompletionRequest = {
[key: string]: unknown;
messages: GatewayInferenceChatCompletionRequestMessage[];
model: | string
| "gpt-5"
| "gpt-5-mini"
| "gpt-5-nano"
| "o4-mini"
| "o3"
| "o3-mini"
| "o1"
| "o1-mini"
| "gpt-4o"
| "gpt-4o-mini"
| "gpt-4o-2024-05-13"
| "gpt-4-turbo"
| "gpt-4-turbo-2024-04-09"
| "gpt-4-0125-preview"
| "gpt-4-turbo-preview"
| "gpt-4-1106-preview"
| "gpt-4-vision-preview"
| "gpt-4"
| "gpt-4-0314"
| "gpt-4-0613"
| "gpt-4-32k"
| "gpt-4-32k-0314"
| "gpt-4-32k-0613"
| "gpt-3.5-turbo"
| "gpt-3.5-turbo-16k"
| "gpt-3.5-turbo-0301"
| "gpt-3.5-turbo-0613"
| "gpt-3.5-turbo-1106"
| "gpt-3.5-turbo-0125"
| "gpt-3.5-turbo-16k-0613";
frequency_penalty?: number | null;
logit_bias?: | {
[key: string]: unknown;
}
| null;
logprobs?: boolean | null;
top_logprobs?: number | null;
max_tokens?: number | null;
max_completion_tokens?: number | null;
n?: number | null;
presence_penalty?: number | null;
response_format?: | GatewayInferenceResponseFormatText
| GatewayInferenceResponseFormatJsonSchema
| GatewayInferenceResponseFormatJsonObject;
seed?: number | null;
stop?: string | null | string[];
stream?: boolean | null;
stream_options?: GatewayInferenceChatCompletionStreamOptions;
thinking?: | {
[key: string]: unknown;
type: "enabled" | "disabled";
budget_tokens?: number;
}
| null;
temperature?: number | null;
top_p?: number | null;
tools?: GatewayInferenceChatCompletionTool[];
tool_choice?: GatewayInferenceChatCompletionToolChoiceOption;
parallel_tool_calls?: GatewayInferenceParallelToolCalls;
user?: string;
function_call?: | "none"
| "auto"
| GatewayInferenceChatCompletionFunctionCallOption;
functions?: GatewayInferenceChatCompletionFunctions[];
};

Defined in: src/models/ai-gateway-inference.ts:1462

Portkey CreateChatCompletionRequest; additive response fields are preserved.

Example​

`GatewayInferenceCreateChatCompletionRequestSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

messages​

messages: GatewayInferenceChatCompletionRequestMessage[];

Defined in: src/models/ai-gateway-inference.ts:1463


model​

model:
| string
| "gpt-5"
| "gpt-5-mini"
| "gpt-5-nano"
| "o4-mini"
| "o3"
| "o3-mini"
| "o1"
| "o1-mini"
| "gpt-4o"
| "gpt-4o-mini"
| "gpt-4o-2024-05-13"
| "gpt-4-turbo"
| "gpt-4-turbo-2024-04-09"
| "gpt-4-0125-preview"
| "gpt-4-turbo-preview"
| "gpt-4-1106-preview"
| "gpt-4-vision-preview"
| "gpt-4"
| "gpt-4-0314"
| "gpt-4-0613"
| "gpt-4-32k"
| "gpt-4-32k-0314"
| "gpt-4-32k-0613"
| "gpt-3.5-turbo"
| "gpt-3.5-turbo-16k"
| "gpt-3.5-turbo-0301"
| "gpt-3.5-turbo-0613"
| "gpt-3.5-turbo-1106"
| "gpt-3.5-turbo-0125"
| "gpt-3.5-turbo-16k-0613";

Defined in: src/models/ai-gateway-inference.ts:1464


frequency_penalty?​

optional frequency_penalty?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1496


logit_bias?​

optional logit_bias?:
| {
[key: string]: unknown;
}
| null;

Defined in: src/models/ai-gateway-inference.ts:1497


logprobs?​

optional logprobs?: boolean | null;

Defined in: src/models/ai-gateway-inference.ts:1498


top_logprobs?​

optional top_logprobs?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1499


max_tokens?​

optional max_tokens?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1500


max_completion_tokens?​

optional max_completion_tokens?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1501


n?​

optional n?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1502


presence_penalty?​

optional presence_penalty?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1503


response_format?​

optional response_format?:
| GatewayInferenceResponseFormatText
| GatewayInferenceResponseFormatJsonSchema
| GatewayInferenceResponseFormatJsonObject;

Defined in: src/models/ai-gateway-inference.ts:1504


seed?​

optional seed?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1508


stop?​

optional stop?: string | null | string[];

Defined in: src/models/ai-gateway-inference.ts:1509


stream?​

optional stream?: boolean | null;

Defined in: src/models/ai-gateway-inference.ts:1510


stream_options?​

optional stream_options?: GatewayInferenceChatCompletionStreamOptions;

Defined in: src/models/ai-gateway-inference.ts:1511


thinking?​

optional thinking?:
| {
[key: string]: unknown;
type: "enabled" | "disabled";
budget_tokens?: number;
}
| null;

Defined in: src/models/ai-gateway-inference.ts:1512


temperature?​

optional temperature?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1517


top_p?​

optional top_p?: number | null;

Defined in: src/models/ai-gateway-inference.ts:1518


tools?​

optional tools?: GatewayInferenceChatCompletionTool[];

Defined in: src/models/ai-gateway-inference.ts:1519


tool_choice?​

optional tool_choice?: GatewayInferenceChatCompletionToolChoiceOption;

Defined in: src/models/ai-gateway-inference.ts:1520


parallel_tool_calls?​

optional parallel_tool_calls?: GatewayInferenceParallelToolCalls;

Defined in: src/models/ai-gateway-inference.ts:1521


user?​

optional user?: string;

Defined in: src/models/ai-gateway-inference.ts:1522


function_call?​

optional function_call?:
| "none"
| "auto"
| GatewayInferenceChatCompletionFunctionCallOption;

Defined in: src/models/ai-gateway-inference.ts:1523


functions?​

optional functions?: GatewayInferenceChatCompletionFunctions[];

Defined in: src/models/ai-gateway-inference.ts:1524